Loading...
Searching...
No Matches
meta::integer_sequence< T, Is > Struct Template Reference
Meta » Datatype » Integer sequence

A container for a sequence of compile-time integer constants. More...

`#include <meta/meta.hpp>`

## Public Types

using | value_type = T

## Static Public Member Functions

static constexpr std::size_t | size () noexcept

## Detailed Description

template<typename T, T... Is>
struct meta::integer_sequence< T, Is >

A container for a sequence of compile-time integer constants.

## Member Function Documentation

## size()

template<typename T , T... Is>

static constexpr std::size_t meta::integer_sequence< T, Is >::size | ( |  | ) |

static constexpr noexcept

Returns
  `sizeof...(Is)`